Package org.springframework.mock.web

# Class MockHttpServletMapping

java.lang.Object
org.springframework.mock.web.MockHttpServletMapping

All Implemented Interfaces:
  `HttpServletMapping`

public class MockHttpServletMapping extends Object implements HttpServletMapping
Mock implementation of `HttpServletMapping`.

Currently not exposed in `MockHttpServletRequest` as a setter to avoid issues for Maven builds in applications with a Servlet 3.1 runtime requirement.

Since:
  5.3.4
Author:
  Rossen Stoyanchev

## Constructor Summary

Constructors
Constructor
Description
`MockHttpServletMapping(String matchValue, String pattern, String servletName, MappingMatch match)`

## Method Summary

Modifier and Type
Method
Description
`MappingMatch`
`getMappingMatch()`
`String`
`getMatchValue()`
`String`
`getPattern()`
`String`
`getServletName()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MockHttpServletMapping

public MockHttpServletMapping(String matchValue, String pattern, String servletName, @Nullable MappingMatch match)

## Method Details

### getMatchValue

public String getMatchValue()

Specified by:
  `getMatchValue` in interface `HttpServletMapping`

### getPattern

public String getPattern()

Specified by:
  `getPattern` in interface `HttpServletMapping`

### getServletName

public String getServletName()

Specified by:
  `getServletName` in interface `HttpServletMapping`

### getMappingMatch

@Nullable public MappingMatch getMappingMatch()

Specified by:
  `getMappingMatch` in interface `HttpServletMapping`

### toString

public String toString()

Overrides:
  `toString` in class `Object`